## fregression 260.72

=== DESCRIPTION ===
Package: fRegression
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Regression Based Decision and Prediction
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, mgcv, nnet, polspline, fTrading, fMultivar
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Oct  8 14:08:15 2007; myself

## fregression 290.75

=== DESCRIPTION ===
Package: fRegression
Version: 290.75
Revision: 4033
Date: 2009-04-15
Title: Regression Based Decision and Prediction
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, mgcv, nnet, polspline, timeDate,
        timeSeries, fBasics, fTrading, fMultivar
Suggests: RUnit
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-04-15 17:34:46 UTC; yankee
Repository: CRAN
Date/Publication: 2009-04-16 07:01:06

## fregression 2100.76

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fRegression
-Version: 290.75
-Revision: 4033
-Date: 2009-04-15
+Version: 2100.76
+Revision: 4277
+Date: 2009-09-28
 Title: Regression Based Decision and Prediction
 Author: Diethelm Wuertz and many others, see the SOURCE file
 Depends: R (>= 2.4.0), methods, mgcv, nnet, polspline, timeDate,
@@ -17,6 +17,6 @@
 LazyData: yes
 License: GPL (>= 2)
 URL: http://www.rmetrics.org
-Packaged: 2009-04-15 17:34:46 UTC; yankee
+Packaged: 2009-09-28 15:21:28 UTC; yankee
 Repository: CRAN
-Date/Publication: 2009-04-16 07:01:06
+Date/Publication: 2009-09-29 18:44:27

## fregression 3010.80

=== DESCRIPTION ===
Package: fRegression
Version: 3010.80
Revision: 5548
Date: 2014-01-02
Title: Regression Based Decision and Prediction
Author: Diethelm Wuertz (for the Rmetrics port), R core team (for lm()
        from R's base and nnet() from nnet package); B.R. Ripley (for
        glm() from R's base); S.N. Wood (for gam() from mgcv package);
        N.N. (for ppr() from modreg package); M. O' Connors (for
        functions from polspline package); and T. Hothorn, A. Zeileis
        G. Millo and D. Mitchell (for bgtest(), bptest(), dwtest(),
        gqtest(), harvtest(), hmctest(), raintest(), reset() and
        resettest() from lmtest package)
Depends: R (>= 2.4.0), fBasics, fTrading, fMultivar, mgcv, nnet
Imports: methods, polspline, lmtest, MASS
Suggests: RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2014-01-02 10:31:40 UTC; yohan
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-01-02 11:44:36

## fregression 3011.81

=== DESCRIPTION ===
Package: fRegression
Title: Rmetrics - Regression Based Decision and Prediction
Date: 2013-12-17
Version: 3011.81
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre]
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
	"Financial Engineering and Computational Finance".
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: lmtest, mgcv, nnet, polspline
Suggests: methods, MASS, RUnit
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2014-09-16 10:08:42 UTC; Tobi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-16 18:40:22

## fregression 3042.82

=== DESCRIPTION ===
Package: fRegression
Title: Rmetrics - Regression Based Decision and Prediction
Date: 2017-11-12
Version: 3042.82
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: A collection of functions for linear and non-linear regression modelling. 
	It implements a wrapper for several regression models available in the base and
	contributed packages of R. 
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: lmtest, mgcv, nnet, polspline, methods, stats, utils
Suggests: MASS, RUnit
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-15 19:17:36 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-15 22:31:49 UTC

=== inst/unitTests/Makefile ===
PKG=fRegression
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fregression 4021.83

=== DESCRIPTION ===
Package: fRegression
Title: Rmetrics - Regression Based Decision and Prediction
Date: 2022-08-11
Version: 4021.83
Authors@R: c(person("Diethelm", "Wuertz", role = "aut")
	   , person("Tobias", "Setz", role = "aut")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Paul", "J."), family = "Northrop", 
                    role = c("cre", "ctb"), email = "p.northrop@ucl.ac.uk") )
Description: A collection of functions for linear and non-linear regression 
  modelling. It implements a wrapper for several regression models available 
  in the base and contributed packages of R. 
Depends: R (>= 2.15.1)
Imports: fBasics, lmtest, MASS, methods, mgcv, nnet, polspline, stats,
        timeDate, timeSeries, utils
Suggests: RUnit
License: GPL (>= 2)
URL: https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2022-08-11 09:25:20 UTC; paul
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Paul J. Northrop [cre, ctb]
Maintainer: Paul J. Northrop <p.northrop@ucl.ac.uk>
Repository: CRAN
Date/Publication: 2022-08-11 09:40:19 UTC

=== debian/changelog ===
fregression (4021.83-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Aug 2022 06:42:41 -0500

fregression (3042.82-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 21:28:02 -0600

fregression (3011.81-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #828112)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:12:23 -0500

fregression (3011.81-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Sep 2014 12:45:15 -0500

fregression (3010.80-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Jan 2014 09:09:46 -0600

fregression (3010.79-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2013 19:12:44 -0600

fregression (3010.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jun 2013 19:42:31 -0500

fregression (2160.77-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:41:50 -0500

fregression (2160.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Dec 2012 09:34:36 -0600

fregression (2100.76-4) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 16:02:05 -0500

fregression (2100.76-3) unstable; urgency=low

  * debian/control: Added r-cran-nnet to Build-Depends	(Closes: #628295)

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 May 2011 16:37:44 -0500

fregression (2100.76-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 18:42:09 -0600

fregression (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:07:30 -0500

fregression (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:13:59 -0500

fregression (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Oct 2008 21:51:07 -0500

fregression (260.72-4) unstable; urgency=low

  * debian/control: Tighten (Build-)Depends: on r-cran-(polspline|mgcv)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Apr 2008 11:43:46 -0500

fregression (260.72-3) unstable; urgency=low

  * Rebuilding under the current R version		(Closes: #475859)
  * debian/control: Updated (Build-)Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2008 17:25:08 -0500

fregression (260.72-2+b1) unstable; urgency=low

  * Rebuilding to aid the gfortran transition, no source or packaging change

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Mar 2008 20:41:44 -0500

fregression (260.72-2) unstable; urgency=low

  * debian/control: Add (Build-)Depends on r-cran-mgcv	(Closes: #451634)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Nov 2007 10:47:02 -0600

fregression (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Nov 2007 20:18:04 -0600

=== debian/control ===
Source: fregression
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-mgcv, r-cran-vr, r-cran-polspline, r-cran-fbasics (>= 290.76), r-cran-ftrading, r-cran-fmultivar, r-cran-nnet, r-cran-lmtest, xvfb, xauth, xfonts-base
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-regression
Vcs-Git: https://salsa.debian.org/edd/r-cran-regression.git
Homepage: https://cran.r-project.org/package=fRegression

Package: r-cran-fregression
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, ${misc:Depends}, r-cran-mgcv, r-cran-vr, r-cran-polspline, r-cran-fbasics (>= 290.76), r-cran-ftrading, r-cran-fmultivar
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fRegression
 This package provides functions for regression-based decision and prediction
 and is part of Rmetrics, a collection of packages for financial engineering 
 and computational finance written and compiled by Diethelm Wuertz and others.
 .
 fRegression provides functions for regression-based decision and prediction.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fregression package
# Copyright 2003-2022 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/fRegression_([-\d\.]*)\.tar.gz
